at.chipkarte.client.prop.soap.constants

## Class PropInvalidParameterExceptionConstants

- Object
- - at.chipkarte.client.prop.soap.constants.PropInvalidParameterExceptionConstants

-     public class PropInvalidParameterExceptionConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ANAMNESE_DATA_PARAMETER_INVALID` Der übergebene Parameter <angegebener Codewert der unbekannten Risikogruppe bzw. des unbekannten Risikofaktors> ist nicht bekannt.
    `static int` | `ANAMNESE_DATA_REQUIRED` Anamnese Data ist ein Pflichtfeld.
    `static int` | `ANAMNESE_REQUIRED` Anamnese ist ein Pflichtfeld.
    `static int` | `ARZTID_WRONG_FORMAT` Das Format von Ersteller-Id ist ungültig.
    `static int` | `ARZTNAME_WRONG_FORMAT` Das Format von Erstellername ist ungültig.
    `static int` | `BEFUND_WITH_KONS_NOT_ALLOWED` Es existiert keine Berechtigung zur Erfassung eines Präoperativen Befundes mit Bindung an eine Konsultation.
    `static int` | `BEFUNDKOMMENTAR_GENERELL_OR_GRUPPE_REQUIRED` Bei Angabe von Befund-Kommentaren muss entweder der Generelle Kommentar und/oder mindestens ein Untersuchungsgruppen-Kommentar angegeben werden.
    `static int` | `BIS_DATUM_WRONG_FORMAT` Das Format von Bis-Datum ist ungültig.
    `static int` | `EKVKNUMMER_WRONG_FORMAT` Das Format von EKVK-Nummer ist ungültig.
    `static int` | `EKVKPATIENT_AND_KONSULTATION_NOT_ALLOWED` Bei Angabe von Patientendaten ist die Angabe einer Konsultation nicht zulässig.
    `static int` | `FACHINFORMATION_VERSION_INVALID` Die verwendete Version der Fachinformation ist nicht (mehr) aktuell.
    `static int` | `FACHINFORMATION_VERSION_REQUIRED` Fachinformation Version ist ein Pflichtfeld.
    `static int` | `FAMNAME_REQUIRED` Fam.name ist ein Pflichtfeld.
    `static int` | `FAMNAME_WRONG_FORMAT` Das Format von Fam.name ist ungültig.
    `static int` | `FG_INVALID` Der Fachgebietscode ist ungültig.
    `static int` | `GEBURTSDATUM_INVALID` Der Wert in Geburtsdatum ist ungültig.
    `static int` | `GEBURTSDATUM_REQUIRED` Geburtsdatum ist ein Pflichtfeld ORCLI-Code:CL-1700052
    `static int` | `GESCHLECHT_INVALID` Der Wert in Geschlecht ist ungültig.
    `static int` | `GESCHLECHT_REQUIRED` Geschlecht ist ein Pflichtfeld.
    `static int` | `GRUPPEKOMMENTAR_TEXT_AND_CODE_REQUIRED` Bei Angabe eines Gruppenkommentars muss sowohl der Untersuchungsgruppen Code, als auch der Kommentartext angegeben werden.
    `static int` | `KENNUNG_WRONG_FORMAT` Das Format der Kennung ist ungültig.
    `static int` | `KOMMENTAR_GENERELL_TEXT_WRONG_FORMAT` Das Format des Generellen Kommentars zum Präoperativen Befund ist ungültig.
    `static int` | `KOMMENTAR_GRUPPE_CODE_SET_SEVERAL_TIMES` Der Code für einen Untersuchungsgruppen-Kommentar ist mehrfach angegeben.
    `static int` | `KOMMENTAR_GRUPPE_CODE_WRONG_FORMAT` Das Format des Codes zum zur Untersuchungsgruppen-Kommentar ist ungültig.
    `static int` | `KOMMENTAR_GRUPPE_TEXT_WRONG_FORMAT` Das Format des Kommentars zur Untersuchungsgruppe ist ungültig.
    `static int` | `KOMMENTARE_WITHOUR_SAVE_NOT_ALLOWED` Die Angabe von Kommentaren ist nur bei Speicherung des Präoperativen Befundes zulässig.
    `static int` | `KONSULTATION_INVALID` Der Wert in Konsultation ist ungültig.
    `static int` | `PROTOKOLLNUMMER_OR_SV_NUMMER_AND_KENNUNG_REQUIRED` Es muss entweder die Protokollnummer oder die Kombination aus SV-Nummer und Kennung angegeben werden.
    `static int` | `PROTOKOLLNUMMER_WRONG_FORMAT` Das Format von Protokollnummer ist ungültig.
    `static int` | `RISIKOFAKTOR_CODE_REQUIRED` Der Codewert in Objekt Risikofaktor ist ein Pflichtfeld.
    `static int` | `RISIKOFAKTOR_NOT_ALLOWED` Die Angabe des Risikofaktor <Anzeigetext des Risikofaktors> in der Riskogruppe <Anzeigetext der Risikogruppe> ist ungültig.
    `static int` | `RISIKOFAKTOR_SET_SEVERAL_TIMES` Der Risikofaktor <Anzeigetext Risikofaktor> in der Riskogruppe <Anzeigetext der Risikogruppe> wurde mehrfach übergeben.
    `static int` | `RISIKOGRUPPE_CODE_REQUIRED` Der Codewert im Objekt Risikogruppe ist ein Pflichtfeld.
    `static int` | `RISIKOGRUPPE_REQUIRED` Die Bedingung der Risikogruppe <Anzeigetext Risikogruppe laut Fachinformationen> setzt eine Pflichtangabe der Gruppe und eines Risikofaktors voraus.
    `static int` | `RISIKOGRUPPE_RISIKOFAKTOR_NOT_SET` In der Risikogruppe <Anzeigetext der Risikogruppe> muss ein Risikofaktor angegeben werden.
    `static int` | `RISIKOGRUPPE_RISIKOFAKTOR_REQUIRED` In der Risikogruppe <Anzeigetext der Risikogruppe> muss mindestens ein Risikofaktor angegeben werden.
    `static int` | `RISIKOGRUPPE_SET_SEVERAL_TIMES` Die Risikogruppe <Anzeigetext der Risikogruppe> wurde mehrfach übergeben.
    `static int` | `SPRACHE_CODE_INVALID` Der Wert in Sprache Code ist ungültig.
    `static int` | `SV_NUMMER_AND_EKVKPATIENT_NOT_ALLOWED` Bei Angabe der SV-Nummer oder bei Verwendung der e-card ist die Angabe von Patientendaten nicht zulässig.
    `static int` | `SV_NUMMER_EKVKPATIENT_OR_ECARD_REQUIERED` Bei der Erfassung eines Präoperativen Befundes muss entweder eine e-card verwendet, oder eine gültige SV-Nummer oder Patientendaten erfasst werden.
    `static int` | `SV_NUMMER_INVALID` Der Wert in SV-Nummer ist ungültig.
    `static int` | `SVNR_MISSING_NO_ECARD` Es muss entweder eine e-card verwendet oder eine gültige SV-Nummer angegeben werden.
    `static int` | `TOO_MANY_RISIKOFAKTOR_FOR_RISIKOGRUPPE` In der Risikogruppe <Anzeigetext der Risikogruppe> darf nur ein Risikofaktor angegeben werden.
    `static int` | `VON_BIS_DATUM_INVALID` Der Wert in Von-Datum und/oder Bis-Datum ist ungültig.
    `static int` | `VON_DATUM_VOR_BIS_DATUM` Das Bis-Datum darf nicht vor dem Von-Datum liegen.
    `static int` | `VON_DATUM_WRONG_FORMAT` Das Format von Von-Datum ist ungültig.
    `static int` | `VORNAME_REQUIRED` Vorname ist ein Pflichtfeld.
    `static int` | `VORNAME_WRONG_FORMAT` Das Format von Vorname ist ungültig.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropInvalidParameterExceptionConstants()`

  - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SVNR_MISSING_NO_ECARD

          public static final int SVNR_MISSING_NO_ECARD

      Es muss entweder eine e-card verwendet oder eine gültige SV-Nummer angegeben werden. ORCLI-Code: CL-1700002
      See Also:
        Constant Field Values

    - #### SV_NUMMER_INVALID

          public static final int SV_NUMMER_INVALID

      Der Wert in SV-Nummer ist ungültig. ORCLI-Code: CL-1700004
      See Also:
        Constant Field Values

    - #### KONSULTATION_INVALID

          public static final int KONSULTATION_INVALID

      Der Wert in Konsultation ist ungültig. ORCLI-Code: CL-1700006
      See Also:
        Constant Field Values

    - #### FACHINFORMATION_VERSION_REQUIRED

          public static final int FACHINFORMATION_VERSION_REQUIRED

      Fachinformation Version ist ein Pflichtfeld. ORCLI-Code: CL-1700019
      See Also:
        Constant Field Values

    - #### FACHINFORMATION_VERSION_INVALID

          public static final int FACHINFORMATION_VERSION_INVALID

      Die verwendete Version der Fachinformation ist nicht (mehr) aktuell. Die Anamnesedaten müssen erneut erfasst werden. ORCLI-Code: CL-1700020
      See Also:
        Constant Field Values

    - #### ANAMNESE_REQUIRED

          public static final int ANAMNESE_REQUIRED

      Anamnese ist ein Pflichtfeld. ORCLI-Code: CL-1700030
      See Also:
        Constant Field Values

    - #### ANAMNESE_DATA_REQUIRED

          public static final int ANAMNESE_DATA_REQUIRED

      Anamnese Data ist ein Pflichtfeld. ORCLI-Code: CL-1700031
      See Also:
        Constant Field Values

    - #### ANAMNESE_DATA_PARAMETER_INVALID

          public static final int ANAMNESE_DATA_PARAMETER_INVALID

      Der übergebene Parameter <angegebener Codewert der unbekannten Risikogruppe bzw. des unbekannten Risikofaktors> ist nicht bekannt. ORCLI-Code: CL-1700021
      See Also:
        Constant Field Values

    - #### RISIKOGRUPPE_REQUIRED

          public static final int RISIKOGRUPPE_REQUIRED

      Die Bedingung der Risikogruppe <Anzeigetext Risikogruppe laut Fachinformationen> setzt eine Pflichtangabe der Gruppe und eines Risikofaktors voraus. ORCLI-Code: CL-1700022
      See Also:
        Constant Field Values

    - #### RISIKOFAKTOR_NOT_ALLOWED

          public static final int RISIKOFAKTOR_NOT_ALLOWED

      Die Angabe des Risikofaktor <Anzeigetext des Risikofaktors> in der Riskogruppe <Anzeigetext der Risikogruppe> ist ungültig. ORCLI-Code: CL-1700023
      See Also:
        Constant Field Values

    - #### RISIKOGRUPPE_RISIKOFAKTOR_NOT_SET

          public static final int RISIKOGRUPPE_RISIKOFAKTOR_NOT_SET

      In der Risikogruppe <Anzeigetext der Risikogruppe> muss ein Risikofaktor angegeben werden. ORCLI-Code: CL-1700024
      See Also:
        Constant Field Values

    - #### KENNUNG_WRONG_FORMAT

          public static final int KENNUNG_WRONG_FORMAT

      Das Format der Kennung ist ungültig. ORCLI-Code: CL-1700005
      See Also:
        Constant Field Values

    - #### VON_DATUM_VOR_BIS_DATUM

          public static final int VON_DATUM_VOR_BIS_DATUM

      Das Bis-Datum darf nicht vor dem Von-Datum liegen. ORCLI-Code: CL-1700008
      See Also:
        Constant Field Values

    - #### VON_DATUM_WRONG_FORMAT

          public static final int VON_DATUM_WRONG_FORMAT

      Das Format von Von-Datum ist ungültig. ORCLI-Code: CL-1700011
      See Also:
        Constant Field Values

    - #### BIS_DATUM_WRONG_FORMAT

          public static final int BIS_DATUM_WRONG_FORMAT

      Das Format von Bis-Datum ist ungültig. ORCLI-Code: CL-1700012
      See Also:
        Constant Field Values

    - #### SPRACHE_CODE_INVALID

          public static final int SPRACHE_CODE_INVALID

      Der Wert in Sprache Code ist ungültig. ORCLI-Code: CL-1700017
      See Also:
        Constant Field Values

    - #### RISIKOFAKTOR_SET_SEVERAL_TIMES

          public static final int RISIKOFAKTOR_SET_SEVERAL_TIMES

      Der Risikofaktor <Anzeigetext Risikofaktor> in der Riskogruppe <Anzeigetext der Risikogruppe> wurde mehrfach übergeben. ORCLI-Code: CL-1700025
      See Also:
        Constant Field Values

    - #### RISIKOGRUPPE_CODE_REQUIRED

          public static final int RISIKOGRUPPE_CODE_REQUIRED

      Der Codewert im Objekt Risikogruppe ist ein Pflichtfeld. Bei mindestens eine Risikogruppe wurde kein Codewert angegeben. ORCLI-Code: CL-1700026
      See Also:
        Constant Field Values

    - #### RISIKOFAKTOR_CODE_REQUIRED

          public static final int RISIKOFAKTOR_CODE_REQUIRED

      Der Codewert in Objekt Risikofaktor ist ein Pflichtfeld. Bei mindestens einen Risikofaktor wurde kein Codewert angegeben. ORCLI-Code: CL-1700027
      See Also:
        Constant Field Values

    - #### RISIKOGRUPPE_SET_SEVERAL_TIMES

          public static final int RISIKOGRUPPE_SET_SEVERAL_TIMES

      Die Risikogruppe <Anzeigetext der Risikogruppe> wurde mehrfach übergeben. ORCLI-Code: CL-1700028
      See Also:
        Constant Field Values

    - #### RISIKOGRUPPE_RISIKOFAKTOR_REQUIRED

          public static final int RISIKOGRUPPE_RISIKOFAKTOR_REQUIRED

      In der Risikogruppe <Anzeigetext der Risikogruppe> muss mindestens ein Risikofaktor angegeben werden. ORCLI-Code: CL-1700029
      See Also:
        Constant Field Values

    - #### VON_BIS_DATUM_INVALID

          public static final int VON_BIS_DATUM_INVALID

      Der Wert in Von-Datum und/oder Bis-Datum ist ungültig. Der Suchzeitraum darf nicht in der Zukunft liegen. ORCLI-Code: CL-1700033
      See Also:
        Constant Field Values

    - #### FG_INVALID

          public static final int FG_INVALID

      Der Fachgebietscode ist ungültig. ORCLI-Code: CL-A0015
      See Also:
        Constant Field Values

    - #### TOO_MANY_RISIKOFAKTOR_FOR_RISIKOGRUPPE

          public static final int TOO_MANY_RISIKOFAKTOR_FOR_RISIKOGRUPPE

      In der Risikogruppe <Anzeigetext der Risikogruppe> darf nur ein Risikofaktor angegeben werden. ORCLI-Code: CL-1700034
      See Also:
        Constant Field Values

    - #### BEFUND_WITH_KONS_NOT_ALLOWED

          public static final int BEFUND_WITH_KONS_NOT_ALLOWED

      Es existiert keine Berechtigung zur Erfassung eines Präoperativen Befundes mit Bindung an eine Konsultation. ORCLI-Code: CL-1700035
      See Also:
        Constant Field Values

    - #### GEBURTSDATUM_INVALID

          public static final int GEBURTSDATUM_INVALID

      Der Wert in Geburtsdatum ist ungültig. ORCLI-Code:CL-1700014
      See Also:
        Constant Field Values

    - #### SV_NUMMER_AND_EKVKPATIENT_NOT_ALLOWED

          public static final int SV_NUMMER_AND_EKVKPATIENT_NOT_ALLOWED

      Bei Angabe der SV-Nummer oder bei Verwendung der e-card ist die Angabe von Patientendaten nicht zulässig. ORCLI-Code:CL-1700036
      See Also:
        Constant Field Values

    - #### EKVKPATIENT_AND_KONSULTATION_NOT_ALLOWED

          public static final int EKVKPATIENT_AND_KONSULTATION_NOT_ALLOWED

      Bei Angabe von Patientendaten ist die Angabe einer Konsultation nicht zulässig. ORCLI-Code:CL-1700037
      See Also:
        Constant Field Values

    - #### SV_NUMMER_EKVKPATIENT_OR_ECARD_REQUIERED

          public static final int SV_NUMMER_EKVKPATIENT_OR_ECARD_REQUIERED

      Bei der Erfassung eines Präoperativen Befundes muss entweder eine e-card verwendet, oder eine gültige SV-Nummer oder Patientendaten erfasst werden. ORCLI-Code:CL-1700038
      See Also:
        Constant Field Values

    - #### PROTOKOLLNUMMER_WRONG_FORMAT

          public static final int PROTOKOLLNUMMER_WRONG_FORMAT

      Das Format von Protokollnummer ist ungültig. ORCLI-Code:CL-1700041
      See Also:
        Constant Field Values

    - #### PROTOKOLLNUMMER_OR_SV_NUMMER_AND_KENNUNG_REQUIRED

          public static final int PROTOKOLLNUMMER_OR_SV_NUMMER_AND_KENNUNG_REQUIRED

      Es muss entweder die Protokollnummer oder die Kombination aus SV-Nummer und Kennung angegeben werden. ORCLI-Code:CL-1700042
      See Also:
        Constant Field Values

    - #### ARZTID_WRONG_FORMAT

          public static final int ARZTID_WRONG_FORMAT

      Das Format von Ersteller-Id ist ungültig. ORCLI-Code:CL-1700043
      See Also:
        Constant Field Values

    - #### ARZTNAME_WRONG_FORMAT

          public static final int ARZTNAME_WRONG_FORMAT

      Das Format von Erstellername ist ungültig. ORCLI-Code:CL-1700044
      See Also:
        Constant Field Values

    - #### VORNAME_REQUIRED

          public static final int VORNAME_REQUIRED

      Vorname ist ein Pflichtfeld. ORCLI-Code:CL-1700045
      See Also:
        Constant Field Values

    - #### VORNAME_WRONG_FORMAT

          public static final int VORNAME_WRONG_FORMAT

      Das Format von Vorname ist ungültig. ORCLI-Code:CL-1700046
      See Also:
        Constant Field Values

    - #### FAMNAME_REQUIRED

          public static final int FAMNAME_REQUIRED

      Fam.name ist ein Pflichtfeld. ORCLI-Code:CL-1700047
      See Also:
        Constant Field Values

    - #### FAMNAME_WRONG_FORMAT

          public static final int FAMNAME_WRONG_FORMAT

      Das Format von Fam.name ist ungültig. ORCLI-Code:CL-1700048
      See Also:
        Constant Field Values

    - #### GESCHLECHT_REQUIRED

          public static final int GESCHLECHT_REQUIRED

      Geschlecht ist ein Pflichtfeld. ORCLI-Code:CL-1700049
      See Also:
        Constant Field Values

    - #### GESCHLECHT_INVALID

          public static final int GESCHLECHT_INVALID

      Der Wert in Geschlecht ist ungültig. ORCLI-Code:CL-1700050
      See Also:
        Constant Field Values

    - #### EKVKNUMMER_WRONG_FORMAT

          public static final int EKVKNUMMER_WRONG_FORMAT

      Das Format von EKVK-Nummer ist ungültig. ORCLI-Code:CL-1700051
      See Also:
        Constant Field Values

    - #### GEBURTSDATUM_REQUIRED

          public static final int GEBURTSDATUM_REQUIRED

      Geburtsdatum ist ein Pflichtfeld ORCLI-Code:CL-1700052
      See Also:
        Constant Field Values

    - #### KOMMENTARE_WITHOUR_SAVE_NOT_ALLOWED

          public static final int KOMMENTARE_WITHOUR_SAVE_NOT_ALLOWED

      Die Angabe von Kommentaren ist nur bei Speicherung des Präoperativen Befundes zulässig. ORCLI-Code:CL-1700053
      See Also:
        Constant Field Values

    - #### BEFUNDKOMMENTAR_GENERELL_OR_GRUPPE_REQUIRED

          public static final int BEFUNDKOMMENTAR_GENERELL_OR_GRUPPE_REQUIRED

      Bei Angabe von Befund-Kommentaren muss entweder der Generelle Kommentar und/oder mindestens ein Untersuchungsgruppen-Kommentar angegeben werden. ORCLI-Code:CL-1700054
      See Also:
        Constant Field Values

    - #### KOMMENTAR_GENERELL_TEXT_WRONG_FORMAT

          public static final int KOMMENTAR_GENERELL_TEXT_WRONG_FORMAT

      Das Format des Generellen Kommentars zum Präoperativen Befund ist ungültig. ORCLI-Code:CL-1700055
      See Also:
        Constant Field Values

    - #### KOMMENTAR_GRUPPE_TEXT_WRONG_FORMAT

          public static final int KOMMENTAR_GRUPPE_TEXT_WRONG_FORMAT

      Das Format des Kommentars zur Untersuchungsgruppe ist ungültig. ORCLI-Code:CL-1700056
      See Also:
        Constant Field Values

    - #### KOMMENTAR_GRUPPE_CODE_WRONG_FORMAT

          public static final int KOMMENTAR_GRUPPE_CODE_WRONG_FORMAT

      Das Format des Codes zum zur Untersuchungsgruppen-Kommentar ist ungültig. ORCLI-Code:CL-1700057
      See Also:
        Constant Field Values

    - #### KOMMENTAR_GRUPPE_CODE_SET_SEVERAL_TIMES

          public static final int KOMMENTAR_GRUPPE_CODE_SET_SEVERAL_TIMES

      Der Code für einen Untersuchungsgruppen-Kommentar ist mehrfach angegeben. ORCLI-Code:CL-1700058
      See Also:
        Constant Field Values

    - #### GRUPPEKOMMENTAR_TEXT_AND_CODE_REQUIRED

          public static final int GRUPPEKOMMENTAR_TEXT_AND_CODE_REQUIRED

      Bei Angabe eines Gruppenkommentars muss sowohl der Untersuchungsgruppen Code, als auch der Kommentartext angegeben werden. ORCLI-Code:CL-1700059
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PropInvalidParameterExceptionConstants

          public PropInvalidParameterExceptionConstants()